<!--
  Generated template for the RoundTripSecondPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Round Trip</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<div [formGroup]="rideForm" class="height-fill-fix">
		<ion-slides #slides class="swiper-no-swiping">

			<ion-slide>
				<div class="text-center pad-all-10 form">
					<h2 class="pad-20">When are you traveling?</h2>

					<ion-item>
					    <ion-label class="bigger-text"><ion-icon name="calendar" class="icon-big-2"></ion-icon> Outbound Date</ion-label>
					    <ion-datetime displayFormat="YYYY-MM-DD" [formControl]="rideForm.controls['dateBeginning']"
					    (ngModelChange)="allowContinue()" [min]="minDate"
					     max="2022" ></ion-datetime>
				  	</ion-item>
				  	<ion-item>
					    <ion-label class="bigger-text"><ion-icon name="calendar" class="icon-big-2"></ion-icon>Return Date</ion-label>
					    <ion-datetime displayFormat="YYYY-MM-DD" [formControl]="rideForm.controls['dateReturn']"
					    (ngModelChange)="allowContinue()" [min]="minDate"
					     max="2022"></ion-datetime>
				  	</ion-item>

				  	<ion-item>
					  	<ion-label class="bigger-text"><ion-icon name="clock" class="icon-big-2"></ion-icon>Outbound Time</ion-label>
					    <ion-datetime displayFormat="hh:mm A" [formControl]="rideForm.controls['timeStart']"
					    (ngModelChange)="allowContinue()"></ion-datetime>
				  	</ion-item>

				  	<ion-item>
					    <ion-label class="bigger-text"><ion-icon name="clock" class="icon-big-2"></ion-icon>Return Time</ion-label>
					    <ion-datetime displayFormat="hh:mm A" [formControl]="rideForm.controls['timeReturn']"
					    (ngModelChange)="allowContinue()"></ion-datetime>
				  	</ion-item>
				  	<div class="bottom-button">
					  	<button (click)="nextSlide()" position="bottom"  id="button-float"
					  	 ion-button block color="primary" [disabled]="isDisabled" class="rounded">
							Next 
							<ion-icon name="arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
						</button>
					</div>
				</div>
			</ion-slide>

			<ion-slide>
				<div class="text-center pad-all-10 form">
					<h2>Just a few more details...</h2>

				  	<ion-item>
					    <ion-label>Trip Purpose</ion-label>
					    <ion-select  [formControl]="rideForm.controls['trip_purpose_id']">
			      			<ion-option *ngFor="let item of purposes" value="{{item.id}}">{{item.type}}</ion-option> 
			      		</ion-select>
				  	</ion-item>
				  	
				  	<ion-row style="margin-top:30px;">
	    				<ion-col col-6 class="text-left">
							<ion-label style="text-align: left;">Seats Offered</ion-label>
						</ion-col>
						<ion-col col-2 class="text-left">
							<button (click)="subSeats()" class="priceIcons">
								<ion-icon name="remove" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
						<ion-col col-2>
							<h4 class="text-center" style="padding:7px 0 0 14px"> 
								{{ seats }} </h4>
						</ion-col>
						<ion-col col-2>
							<button (click)="addSeats()" class="priceIcons">
								<ion-icon name="add" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
						<ion-col col-2></ion-col>
					</ion-row>	

				  	<ion-row>
						<ion-col col-6 class="text-left">
							<ion-label style="text-align: left;">Luggage</ion-label>
							<p style="margin-top: -5px; font-size: 10px !important; text-align: left;">(Per Passenger)</p>
						</ion-col>
						<ion-col col-2 class="text-left">
							<button (click)="subLuggage()" class="priceIcons">
								<ion-icon name="remove" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
						<ion-col col-2>
							<h4 class="text-center" style="padding:7px 0 0 14px"> 
							{{ luggageAmount }} </h4>
						</ion-col>
						<ion-col col-2>
							<button (click)="addLuggage()" class="priceIcons">
								<ion-icon name="add" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
					</ion-row>

				  	<ion-item>
					    <ion-label>Luggage Size</ion-label>
					    <ion-select  [formControl]="rideForm.controls['luggageSize']">
			      			<ion-option value="Small" Selected>Small</ion-option>
			      			<ion-option value="Medium">Medium</ion-option>
			      			<ion-option value="Large">Large</ion-option>
			      		</ion-select>
				  	</ion-item> 	

				  	<ion-item>
					    <ion-label>Description</ion-label>
					    <ion-textarea [formControl]="rideForm.controls['description']">
					    </ion-textarea>
				  	</ion-item>

				  	<div *ngIf="currentUser.user.gender == 'Female'">
					  	<ion-item>
					  		<ion-label>Women Only?</ion-label>
					  		<ion-toggle [formControl]="rideForm.controls['womenOnly']" (ngModelChange)="changeLadies($event)"></ion-toggle>
					  	</ion-item>
				  	</div>

					<div position="bottom">
						<button (click)="uploadRide()" ion-button full color="primary" class="btn rounded">
							Post Ride
						</button>
					</div>
				</div>
			</ion-slide>
		</ion-slides>
	</div>
</ion-content>
